Error after upgrade: Constructor Piwik\\Factory::factory() cannot be static


(geniosity) #1

Hi

After doing an automatic upgrade I received the following error on completion (whenever trying to access the site now as well):

PHP Fatal error: Constructor Piwik\Factory::factory() cannot be static in /var/www/pistats/core/Factory.php

I’ve also tried downloading and manually copying across the files but I get the same error.

Any thoughts/suggestions?

thanks


(geniosity) #2

Ok, I see the suggestion of using 2.7 beta… Not sure if that’s a good idea or not. Thoughts on that? Will I be able to auto upgrade when the time comes?


(Matthieu Aubry) #3

Fixed in 2.7.0-rc please download from: Index of /